> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model by id

> Gets a DMM model either via a unique model identifier or via a unique combination of workbench model id and workbench model version id



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model:
    summary: Model Operations.
    get:
      tags:
        - Model
      summary: Get model by id
      description: >-
        Gets a DMM model either via a unique model identifier or via a unique
        combination of workbench model id and workbench model version id
      operationId: getModelById
      parameters:
        - in: query
          name: model_id
          schema:
            type: string
        - in: query
          name: workbench_model_version_id
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelResponse'
          description: Successfully fetched the Model.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model not found.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - {}
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    modelResponse:
      allOf:
        - $ref: '#/components/schemas/modelResponseCommon'
        - properties:
            permissions:
              $ref: '#/components/schemas/modelPermissions'
          type: object
    modelResponseCommon:
      allOf:
        - $ref: '#/components/schemas/model'
        - properties:
            collaborators:
              items:
                $ref: '#/components/schemas/collaborator'
              type: array
            createdAt:
              description: Creation timestamp of the Model.
              type: integer
            id:
              description: Model Identifier.
              type: string
            ingestionStatus:
              description: Dataset Ingestion status for a model.
              enum:
                - created
                - training
                - prediction
                - ground_truth
              type: string
            isDeleted:
              description: Whether the model is deleted or not.
              type: boolean
            ownerEmail:
              description: email of the model owner, who created the model.
              type: string
            ownerName:
              description: name of the model owner, who created the model.
              type: string
            ownerUsername:
              description: username of the model owner, who created the model.
              type: string
            registrationStatus:
              description: Registration status of a model.
              enum:
                - draft
                - created
                - deleted
              type: string
            tags:
              description: List of tags associated with the model
              items:
                $ref: '#/components/schemas/modelTag'
              type: array
            updatedAt:
              description: Last update timestamp for the Model.
              type: integer
            userId:
              description: Id of the model owner, who created the model.
              type: string
            visibility:
              $ref: '#/components/schemas/visibility'
          required:
            - id
            - createdAt
            - updatedAt
            - userId
            - ingestionStatus
            - registrationStatus
            - isDeleted
          type: object
    modelPermissions:
      description: Permission metadata required for a model response
      properties:
        canEditPermissions:
          description: Whether the requesting user can edit permissions for the model
          type: boolean
        canRegisterDataset:
          description: Whether the requesting user can register a dataset for the model
          type: boolean
        canUpdateMonitoringSettings:
          description: >-
            Whether the requesting user can update monitoring settings for the
            model
          type: boolean
      required:
        - canRegisterDataset
        - canUpdateMonitoringSettings
        - canEditPermissions
      title: Model Permissions
      type: object
    model:
      description: Model Config to be used to register a model with DMM.
      properties:
        author:
          description: Author of the Model.
          type: string
        dateCreated:
          description: The creation date of the model.
          nullable: true
          type: integer
        description:
          description: Description for the Model.
          type: string
        modelType:
          description: Type of the Model.
          enum:
            - classification
            - regression
          type: string
        name:
          description: Name of the Model.
          type: string
        sourceDetails:
          $ref: '#/components/schemas/workbenchModelDetails'
        sourceType:
          $ref: '#/components/schemas/sourceType'
        version:
          description: Version of the Model.
          type: string
      required:
        - name
        - modelType
        - version
      title: Model Config
      type: object
    collaborator:
      description: Collaborator for a standalone model
      properties:
        collaboratorLevel:
          $ref: '#/components/schemas/collaboratorLevel'
        userId:
          description: user id of the collaborator
          type: string
      required:
        - userId
        - collaboratorLevel
      type: object
    modelTag:
      description: Tag for a model
      properties:
        id:
          type: string
        tagName:
          description: name of tag
          type: string
      required:
        - id
        - tagName
      title: Model Tag
    visibility:
      description: Model visibility
      enum:
        - public
        - private
      type: string
    workbenchModelDetails:
      description: Model details associated with a Domino workbench model.
      properties:
        workbenchModelId:
          description: Workbench's Model id
          type: string
        workbenchModelVersionId:
          description: Workbench Model's version id to be monitored in DMM
          type: string
      required:
        - workbenchModelId
        - workbenchModelVersionId
      title: Domino Workbench model's details.
      type: object
    sourceType:
      description: Source for the model registration.
      enum:
        - domino_workbench
        - standalone
      type: string
    collaboratorLevel:
      description: type of collaborator
      enum:
        - editor
        - viewer
      type: string
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Get model summary](/api-reference/model/get-model-summary.md)
- [Get endpoint by id](/api-reference/genai/get-endpoint-by-id.md)
- [Get model collaborators](/api-reference/model/get-model-collaborators.md)
- [Get apimodelservingv1modelapis 1](/api-reference/modelapi/get-apimodelservingv1modelapis-1.md)
